<!-- Notes du FUN-MOOCS Recherche reproductible : principes méthodologiques pour une science transparente -->
<!-- Mars-Avril 2020--> 

# Module 0: Posons le décors
**HARKing** = Hypothesizing After the Results are Known.
La pre-registration intervient en amont du travail d'analyse. Un.e chercheur.euse va ainsi formaliser ses hypothèses de recherche, ses données, son study design et son plan d'analyse

Un **codebook** peut répondre au besoin de *suivi des évolutions* puisqu'il s'agit d'un document permettant d'une part, de recenser tous les codes appliqués, d'autre part, de consigner ses choix et de suivre leur évolution.

**Notebooks:**
- Gestionnaire d’éditeurs [Markdown](https://rmarkdown.rstudio.com/) lié à R,
- Converstisseur vers latex et autres [Pandoc](https://pandoc.org/).

**Analyse exploratoire par notebooks**
- Jupyter.

Zotero (ou bibTex/JabRef) pour le **partage de bibliographies**.

outils de **TMS** (Tasks Management System) comme Trello.

on dessine le **workflow** sous Graphviz.

CASCAD, une plateforme de certification de la reproductibilité

# Module 1: Cahier de notes, cahier de laboratoire

## 2. Aperçu historique de la prise de notes

**Méthode de Locke**

![Méthode de Locke 1]((methodeLocke1.png)
![Méthode de Locke 2](methodeLocke2.png)

Sommaire: Utiliser la première lettre puis la première voyelle qui suit la première lettre.

## 3. Du fichier texte au langage de balisage léger

### Langage de balisage léger

Exemples:
- **Markdown** (logiciel Remarkable par exemple)
- Wikitexte
- AsciiDoc
- RestructuredText (communauté Python)

Il existe des possibilités de conversion verx .pdf, .docx, .html donc le langage importe peu

On peut aussi insérer des équtations latex, dans le texte $u(t)=K(y_{ref}(t)-y(t))$ ou à la ligne 

$$ \sum_{i=0}^T=\delta_i$$

## 4. Pérénité et evolutivité des notes avec le gestion de version

Ne pas avoir peur des conflits, surtout si on utilise un éditeur/gitlab (i.e. pas direct en ligne de code).
Clé pour éviter les conflits dans un travail à plusieurs: faire des petits commits, avec des modifications isolées des différents endroits du code. Faire `git status` (éventuellement `git diff`) pour voir ce qu'on a modifier, et faire plusieurs `git add` puis `git commit` pour structurer les changements. Éviter `git commit -a` qui commit all sauf quand on bosse tout.e seul.e.

**Plateforme**s en ligne d'hébergement de git:
- GitHub est un logiciel propriétaire, gratuit pour les étudiants et académiques, payant pour les autres
- GitLAb est un locigiel libre, des versions institutionnelles (par exemple INRIA)
- framagit

**Interfaces graphiques** liées au langage de programation:
- JupyterLab-git
- Rstudio
ou plus complexes:
- GitHub Desktop
- GitKraken
- SmartGit

## 5. Les étiquettes et les logiciels d'indexation pour s'y retrouver

On peut ajouter des étiquettes ou mots-clés, à ajouter manuellement dans les textes, par exemple en commentaires `<!-- :mot-clé-entre-deux-points: -->`, éventuellement à mettre aussi dans les proriétés des images en utilisant **ExifTool**. 

Utiliser ensuite un moteur de recherche de bureau comme **DocFetcher** pour chercher ":un-mot-clé:". On peut aussi utiliser `grep`, [lien](https://doc.ubuntu-fr.org/tutoriel/console_commandes_de_base#grep) de la documentation.

[Lien](https://snapcraft.io/docfetcher) d'installation pour Linux 64bits 

**Exiftool**:
Afficher les proriétes:
```
exiftool image.png
```
Ajouter des mots-clés:
```
exiftool -comment=":keyword:" image.png
```
Ajouter l'url d'où on a tétéchargé l'image:
```
exiftool -notes="url" image.png
```
